Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.heuristic.selector.move.generic
Class ChangeMoveSelectorConfig

    java.lang.Object
      org.optaplanner.core.config.heuristic.selector.SelectorConfig
          org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig
              org.optaplanner.core.config.heuristic.selector.move.generic.ChangeMoveSelectorConfig

    public class ChangeMoveSelectorConfig

extends MoveSelectorConfig

Field Summary

Fields inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig
`cacheType, filterClassList, probabilityWeightFactoryClass, selectionOrder, sorterClass, sorterComparatorClass, sorterOrder, sorterWeightFactoryClass`

Constructor Summary
`ChangeMoveSelectorConfig()`

Method Summary
`MoveSelector` | `buildBaseMoveSelector(HeuristicConfigPolicy configPolicy, SelectionCacheType minimumCacheType, boolean randomSelection)`
`EntitySelectorConfig` | `getEntitySelectorConfig()`
`ValueSelectorConfig` | `getValueSelectorConfig()`
`void` | `inherit(ChangeMoveSelectorConfig inheritedConfig)`
`void` | `setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)`
`void` | `setValueSelectorConfig(ValueSelectorConfig valueSelectorConfig)`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig
`buildMoveSelector, determineBaseRandomSelection, getCacheType, getFilterClassList, getFixedProbabilityWeight, getProbabilityWeightFactoryClass, getSelectionOrder, getSorterClass, getSorterComparatorClass, getSorterOrder, getSorterWeightFactoryClass, inherit, isBaseInherentlyCached, setCacheType, setFilterClassList, setFixedProbabilityWeight, setProbabilityWeightFactoryClass, setSelectionOrder, setSorterClass, setSorterComparatorClass, setSorterOrder, setSorterWeightFactoryClass`

Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig
`deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptors, inherit, validateCacheTypeVersusSelectionOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChangeMoveSelectorConfig

    public ChangeMoveSelectorConfig()

Method Detail

### getEntitySelectorConfig

    public EntitySelectorConfig getEntitySelectorConfig()

### setEntitySelectorConfig

    public void setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)

### getValueSelectorConfig

    public ValueSelectorConfig getValueSelectorConfig()

### setValueSelectorConfig

    public void setValueSelectorConfig(ValueSelectorConfig valueSelectorConfig)

### buildBaseMoveSelector

    public MoveSelector buildBaseMoveSelector(HeuristicConfigPolicy configPolicy,
                                              SelectionCacheType minimumCacheType,
                                              boolean randomSelection)

  Specified by:
    `buildBaseMoveSelector` in class `MoveSelectorConfig`
  Parameters:
    `configPolicy` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `randomSelection` - true is equivalent to `SelectionOrder.RANDOM`, false is equivalent to `SelectionOrder.ORIGINAL`
  Returns:
    never null

### inherit

    public void inherit(ChangeMoveSelectorConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.